Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1501 - SonicVibes sound card always returns "Device or resource busy"
Summary: SonicVibes sound card always returns "Device or resource busy"
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sndconfig
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-14 01:13 UTC by eaw
Modified: 2014-03-17 02:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-16 00:05:22 UTC


Attachments (Terms of Use)

Description eaw 1999-03-14 01:13:53 UTC
Anytime I use sndconfig to set up my S3 SonicVibes sound
card, it correctly autodetects the sound card but when it
attempts to play the sample sound, it fails with the
"Device or resource busy" message.  Manual configuration
doesn't work, either.  HELP!  Is this a known bug in 5.2?
This worked in Redhat 5.1.  Is there a patch?  A known
workaround?  A fix expected in 5.3/6.0??  I'd really love
to get sound working...  Thanks!!!

- Eric Wolf
  eaw@pobox.com

Comment 1 eaw 1999-03-14 02:09:59 UTC
Two more things...  The exact error from sndconfig is...

                  ZDDDDDDDDDDDD4 modprobe error CDDDDDDDDDDDD?
                  3                                          3
                  3 The following error occurred running     3
                  3 the modprobe program:                    3
                  3                                          3
                  3 /lib/modules/preferred/misc/sonicvibes.  3
                  3 o: init_module: Device or resource busy  3
                  3                                          3
                  3                 ZDDDD?                   3
                  3                 3 Ok 3                   3
                  3                 @DDDDY                   3
                  3                                          3
                  3                                          3
                  @DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDY

and my /etc/conf.modules looks like:

  alias scsi_hostadapter aic7xxx
  alias eth0 tlan
  alias sound sonicvibes

Comment 2 eaw 1999-03-14 02:26:59 UTC
I just noticed this via the "dmesg" command...  I am assuming that
"sv" is sonicvibes.  Is that right?  Does the below mean that
something else is using IRQ 11?  if that is the case, what options
can I use to re-assign the IRQ to something else?  Thanks!

  sv: version v0.5 time 22:32:15 Oct 13 1998
  sv: io ports: 0x1020 0x1030 0x1048 0x104c 0x1040 0xac00 0xac10
  sv: irq 11 in use

Comment 3 Bill Nottingham 1999-03-14 20:42:59 UTC
I'm assuming you mean that manual config worked in 5.1,
as sndconfig didn't support it then. You can look
at /proc/pci and /proc/interrupts - is something else using IRQ 11
according to those?

Comment 4 Bill Nottingham 1999-04-15 16:20:59 UTC
closed due to lack of response.


Note You need to log in before you can comment on or make changes to this bug.